Page MenuHomeFreeBSD

net-p2p/py-tremc: update to v9.1 and resurrect dns/py-adns.
ClosedPublic

Authored by rigoletto on Aug 11 2018, 5:19 PM.

Details

Summary
  • update update to version 9.1
  • resurrect dns/py-adns, a new dependency
  • some other fixes
Test Plan

dns-py-adns have a C file that fail to build:

adnsmodule.c:10:10: fatal error: 'adns.h' file not found
#include <adns.h>
         ^
1 error generated.
error: command 'cc' failed with exit status 1
*** Error code 1

patching with #include <sys/endian.h> allow it to build but just when using 'make', for some reason it still fail to build with the exactly same error message on poudriere.

FIXED.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

rigoletto edited the test plan for this revision. (Show Details)

Minor fix on py-tremc OPTIONS_DEFAULT.

dns/py-adns/Makefile
16 ↗(On Diff #46585)

^ this should probly be a BUILD_DEPENDS givencyour error message about the missing header

rigoletto marked an inline comment as done.

Yeah, that worked but it seems I need LIB_DEPENDS. :D

I had to remove one entry from MOVED because it seems there was a dns/py-adns port that was deleted. I guess that was the python2 version of the py-adns.

Thanks!

net-p2p/py-tremc/Makefile
25–27 ↗(On Diff #46602)

It would be better to change these dependencies to use the canonical Python dependency format, ${PYTHON_PKGNAMEPREFIX}packagename>=version.

net-p2p/py-tremc/files/patch-Makefile
6–7 ↗(On Diff #46602)

Patch both lines.

net-p2p/py-tremc/pkg-plist
5 ↗(On Diff #46602)

Remove.

Also, note that this MUST be committed as a resurrection, it MUST NOT be added as a new port.

rigoletto marked 3 inline comments as done.

Fixing. Thanks!

rigoletto retitled this revision from net-p2p/py-tremc: update to v9.1 and add new port, dns/py-adns. to net-p2p/py-tremc: update to v9.1 and resurrect dns/py-adns..Aug 13 2018, 3:12 PM
rigoletto edited the summary of this revision. (Show Details)
rigoletto edited the test plan for this revision. (Show Details)
tcberner added inline comments.
dns/py-adns/Makefile
13 ↗(On Diff #46622)

^ GPL is not a valid LICENSE value. Check Mk/bsd.licence.db.mk and ${WRKSRC}/GPL to figure out which one you need.

This revision now requires changes to proceed.Aug 13 2018, 3:35 PM
rigoletto marked an inline comment as done.

The 'GPL' file is GPLv2 but at least the adnsmodule.c file is GPLv2+.

Thanks!

While here bring some relevant fixes from HEAD.

Thanks!

Sorry, I lost sight of this one :)

This revision is now accepted and ready to land.Sep 16 2018, 7:57 AM
This revision was automatically updated to reflect the committed changes.